Bug 487874 - Review Request: fcode-utils - Utilities for dealing with FCode
Review Request: fcode-utils - Utilities for dealing with FCode
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-28 11:26 EST by Peter Lemenkov
Modified: 2009-03-25 12:06 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.0.2-3.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-25 12:04:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peter Lemenkov 2009-02-28 11:26:45 EST
Spec URL: http://peter.fedorapeople.org/fcode-utils.spec
SRPM URL: http://peter.fedorapeople.org/fcode-utils-1.0.2-1.fc10.src.rpm
Description: Utilities for dealing with FCode, a Forth programming language dialect compliant with ANS Forth.
Comment 1 Peter Lemenkov 2009-02-28 11:36:37 EST
Note: original tarball contains also 'localvalues' directory, which contents liensed under Common Public License v. 1.0. I don't understand, what's the purpose of this content, and therefore didn't decide where should I install it, so I (temporarily, I hope) ignored it.
Comment 3 Jason Tibbitts 2009-03-13 13:40:12 EDT
Could you indicate, with a comment in the spec, which files are under which license?  See http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#Multiple_Licensing_Scenarios

That's the only issue I see; you can fix it up when you import the package.

* source files match upstream.  sha256sum:
   7c135077a51bb843eb435f9d8c3447e9d632037d033c8836f7853cf2044873b4  
   fcode-utils-1.0.2.zip
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package (at least the GPL text is; the CPL text 
  doesn't seem to be in the package).
* latest version is being packaged.
* BuildRequires are proper (none).
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* debuginfo package looks complete.
* rpmlint is silent.
* final provides and requires are sane:
   fcode-utils = 1.0.2-2.fc11
   fcode-utils(x86-64) = 1.0.2-2.fc11
  =
   (none)

* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no generically named files
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.

APPROVED

The package review process needs reviewers!  If you haven't done any package
reviews recently, please consider doing one.
Comment 4 Peter Lemenkov 2009-03-13 14:08:13 EDT
Done!

http://peter.fedorapeople.org/fcode-utils.spec
http://peter.fedorapeople.org/fcode-utils-1.0.2-3.fc10.src.rpm

New Package CVS Request
=======================
Package Name: fcode-utils
Short Description: Utilities for dealing with FCode
Owners: peter
Branches: F-9 F-10 EL-4 EL-5
InitialCC: peter
Comment 5 Kevin Fenzi 2009-03-15 22:11:04 EDT
cvs done.
Comment 6 Fedora Update System 2009-03-16 02:13:18 EDT
fcode-utils-1.0.2-3.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/fcode-utils-1.0.2-3.fc9
Comment 7 Fedora Update System 2009-03-16 02:13:24 EDT
fcode-utils-1.0.2-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/fcode-utils-1.0.2-3.fc10
Comment 8 Fedora Update System 2009-03-16 15:46:05 EDT
fcode-utils-1.0.2-3.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update fcode-utils'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-2732
Comment 9 Fedora Update System 2009-03-16 15:50:36 EDT
fcode-utils-1.0.2-3.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update fcode-utils'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-2762
Comment 10 Fedora Update System 2009-03-25 12:04:01 EDT
fcode-utils-1.0.2-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2009-03-25 12:06:52 EDT
fcode-utils-1.0.2-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.